<?php

namespace Lc\ShopBundle\Event\OrderShop;

use Symfony\Contracts\EventDispatcher\Event;

/**
 * class EntityEvent.
 *
 * @author Simon Vieille <simon@deblan.fr>
 */
class OrderShopChangeStatusEvent extends Event
{
        const PRE_CHANGE_STATUS = 'order_shop_event.pre_change_status';
        const POST_CHANGE_STATUS = 'order_shop_event.post_change_status';

        protected $orderShop;
        protected $orderStatus;

        public function __construct($orderShop, $orderStatus)
        {
                $this->orderShop = $orderShop;
                $this->orderStatus = $orderStatus;
        }

        public function getOrderShop()
        {
                return $this->orderShop;
        }

        public function getOrderStatus()
        {
                return $this->orderStatus;
        }
}
